@media (max-width: 800px) {
    /* modal */
    .modal, .modal.help, #account-forgotpassword {width: auto;}
    .modal:not(.help) {top: 0}  
    /* stone plan */
    .stone-planner.step-2 .row > .cell {display: block;margin: 0 0 10px 0;}
    .stone-planner.step-2 .panel-action .row > .cell {display: inline-block;margin: 0 10px 0 0;}
    .stone-planner.step-2 .row .pull-right{float: none;}
    .stone-planner.step-2 .pharse {height: auto}
    
    .stone-planner.step-2 .panel-action .row .pull-right, .stone-planner.step-2 .row .toolbox .pull-right {float: right;}
    .stone-planner.step-2 .row.row-action .btn-action {position: static; padding: 5px 0 0 0;}
    .stone-planner.step-2 .btn-action .button {width: 100%; margin: 0 0 15px;}
    
    .span5, .span7 {display: block; width: 98.24046920821115%;}
    .span1 {width: 148px;}
    img {max-width: 100%;}  
}
@media (min-width: 768px) {
    .displaze-index-xstone .stone-planner.step-2 .row .pull-right { float: right; }
}
@media (max-width: 640px) {
    .stone-planner.step-2 .button {width: 100%; margin: 0 0 10px;}
    .stone-planner.step-2 .panel-action .row > .cell {display: block;margin: 0;}
    .stone-planner.step-2 .panel-action .row .pull-right {float: none;}
    .modal .modal-content {width:  100%;}
    .stone-planner.step-1 .pharse {width: 100%; margin:  0 0 3.2358%}
    .transform-cw {
        transform: translate(490px, -104px) rotate(90deg);
        -moz-transform: translate(490px, -104px) rotate(90deg);
        -webkit-transform: translate(490px, -104px) rotate(90deg);
        -o-transform: translate(490px, -104px) rotate(90deg);
        -ms-transform: translate(490px, -104px) rotate(90deg);
    }
    .review-edge-finish .ground {margin: 20px 20px 0}
    .benchtop .tab-content .panel {border-width: 0 1px 1px;height: 173px}
}
@media (max-width: 480px) {
    .modal .action .button, .modal .button {
        display: block;
        margin: 0 0 10px;
        width: 100%;
    }
}
@media (max-width: 360px) {
    .stone-planner.step-2 .row .cell {display: block;margin: 0 0 15px;}
    .stone-planner.step-2 .row .toolbox .cell {margin: 0 0 10px;}
    .stone-planner.step-2 .panel-action .button {width: 100%; margin: 0 0 10px;}
    .stone-planner.step-2 .panel-action .button.last {margin: 0;}
    .stone-planner.step-2 .panel-action .row .pull-right, .stone-planner.step-2 .row .toolbox .pull-right {float: none;}
    .stone-planner.step-2 .panel-action .row > .cell {margin: 0; display: block}
    
    .stone-planner.step-2 .row .toolbox .cell .input-text, .span1, .span5, .span7 {width: 95.627%}   
}